package health_test

import (
	"context"
	"testing"

	"github.com/fiskerinc/cloud-services/pkg/health"
	"github.com/fiskerinc/cloud-services/pkg/redis"
	"github.com/fiskerinc/cloud-services/pkg/redis/tester"
	"github.com/fiskerinc/cloud-services/pkg/testhelper"
)

func TestRedisCheck(t *testing.T) {
	redis.MockRedisConnection()
	health := health.NewRedisHealth(tester.NewMockClientPool())

	err := health.Check(context.Background())
	testhelper.NoError(t, "No error", err)
}
